# Uses of Interface
com.sun.jdi.MonitorInfo

Packages that use MonitorInfo
Package
Description
com.sun.jdi
This is the core package of the Java Debug Interface (JDI), it defines mirrors for values, types, and the target VirtualMachine itself - as well bootstrapping facilities.

## Uses of MonitorInfo in com.sun.jdi

Methods in com.sun.jdi that return types with arguments of type MonitorInfo
Modifier and Type
Method
Description
`List<MonitorInfo>`
ThreadReference.`ownedMonitorsAndFrames()`
Returns a List containing a `MonitorInfo` object for each monitor owned by the thread.